summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Rowland2012-02-19 21:37:59 +0100
committer Robby Workman2012-02-20 19:20:46 +0100
commit68863f69bf98f108f346343caf4cc88430dc69f4 (patch)
tree3624cb007bb92ed038b029c828c012237332de39
parentfe3095faf885d66e39a7cf0ff242dce6b3353aef (diff)
downloadslackbuilds-68863f69bf98f108f346343caf4cc88430dc69f4.tar.gz
network/ckermit: Added (network and serial communication software)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--network/ckermit/README27
-rw-r--r--network/ckermit/ckermit.SlackBuild79
-rw-r--r--network/ckermit/ckermit.info10
-rw-r--r--network/ckermit/makefile-use-custom-cflags.diff12
-rw-r--r--network/ckermit/slack-desc18
5 files changed, 146 insertions, 0 deletions
diff --git a/network/ckermit/README b/network/ckermit/README
new file mode 100644
index 0000000000..d6e2449094
--- /dev/null
+++ b/network/ckermit/README
@@ -0,0 +1,27 @@
+C-Kermit is a combined network and serial communication software
+package offering a consistent, transport-independent, cross-platform
+approach to connection establishment, terminal sessions, file
+transfer, file management, character-set translation, numeric and
+alphanumeric paging, and automation of file transfer and management,
+dialogs, and communication tasks through its built-in scripting
+language.
+
+C-Kermit includes:
+
+ * The fastest and most advanced implementation of the Kermit file
+ transfer protocol available anywhere.
+ * A powerful, portable, easy-to-use script programming language to
+ automate all your routine communications tasks.
+ * Consistent operation over serial connections (direct or dialed)
+ and network connections ¿ on a huge selection of hardware and
+ software platforms.
+ * Secure authentication and strong encryption.
+ * Built-in scriptable FTP and HTTP clients plus an SSH interface
+ * Configurability as an SSH Subsystem
+ * Character-set translation in both file transfer and online sessions,
+ for Western- and Eastern-European languages, Cyrillic, Greek, Hebrew,
+ and Japanese, now including Unicode.
+ * Ability to send numeric and alphanumeric pages.
+
+This SlackBuild installs a default initialization file in the documentation
+directory. However, an initialization file is rarely required with ckermit.
diff --git a/network/ckermit/ckermit.SlackBuild b/network/ckermit/ckermit.SlackBuild
new file mode 100644
index 0000000000..92e062ec1a
--- /dev/null
+++ b/network/ckermit/ckermit.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for ckermit
+
+# Written by Andrew Rowland (darowland@ieee.org)
+
+PRGNAM=ckermit
+VERSION=${VERSION:-9.0.302}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/cku302.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Force the makefile to accept our custom cflags
+patch -p1 < $CWD/makefile-use-custom-cflags.diff
+
+make linux OPT="$SLKCFLAGS"
+
+mkdir -p $PKG/usr/bin
+cp -a wermit $PKG/usr/bin/kermit
+strip --strip-unneeded $PKG/usr/bin/kermit
+ln -sf kermit $PKG/usr/bin/kermit-sshsub
+
+mkdir -p $PKG/usr/man/man1
+cp ckuker.nr $PKG/usr/man/man1/kermit.1
+gzip -9 $PKG/usr/man/man1/kermit.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING.TXT ockermit.ini *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/ckermit.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/ckermit.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ckermit/ckermit.info b/network/ckermit/ckermit.info
new file mode 100644
index 0000000000..c91ada24cd
--- /dev/null
+++ b/network/ckermit/ckermit.info
@@ -0,0 +1,10 @@
+PRGNAM="ckermit"
+VERSION="9.0.302"
+HOMEPAGE="http://www.kermitproject.org/ck90.html"
+DOWNLOAD="ftp://ftp.kermitproject.org/kermit/archives/cku302.tar.gz"
+MD5SUM="eac4dbf18b45775e4cdee5a7c74762b0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrew Rowland"
+EMAIL="darowland@ieee.org"
+APPROVED="rworkman"
diff --git a/network/ckermit/makefile-use-custom-cflags.diff b/network/ckermit/makefile-use-custom-cflags.diff
new file mode 100644
index 0000000000..04611b0113
--- /dev/null
+++ b/network/ckermit/makefile-use-custom-cflags.diff
@@ -0,0 +1,12 @@
+diff -Nur a/makefile b/makefile
+--- a/makefile 2011-08-21 10:12:07.000000000 -0500
++++ b/makefile 2012-02-19 14:35:22.961596650 -0600
+@@ -982,7 +982,7 @@
+ all: $(ALL)
+
+ .c.o:
+- $(CC) $(CFLAGS) -DKTARGET=\"$(KTARGET)\" -c $<
++ $(CC) $(CFLAGS) $(OPT) -DKTARGET=\"$(KTARGET)\" -c $<
+
+ #Clean up intermediate and object files
+ clean:
diff --git a/network/ckermit/slack-desc b/network/ckermit/slack-desc
new file mode 100644
index 0000000000..1818c2f4ce
--- /dev/null
+++ b/network/ckermit/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ckermit: ckermit (combined network and serial communication software package)
+ckermit:
+ckermit: C-Kermit is a combined network and serial communication software
+ckermit: package offering a consistent, transport-independent, cross-platform
+ckermit: approach to connection establishment, terminal sessions, file
+ckermit: transfer, file management, character-set translation, numeric and
+ckermit: alphanumeric paging, and automation of file transfer and management,
+ckermit: dialogs, and communication tasks through its built-in scripting
+ckermit: language.
+ckermit: